MysqlndUhConnection::txCommit
MysqlndUhConnection::useResult
MysqlndUhConnection
PHP Manual

# MysqlndUhConnection::txRollback

(PECL mysqlnd-uh >= 1.0.1-alpha, PHP >= 5.4.0)

MysqlndUhConnection::txRollback — Rolls back current transaction

### Description

public bool MysqlndUhConnection::txRollback ( mysqlnd_connection `$connection` )

Rolls back current transaction.

### Parameters

`connection`

  Mysqlnd connection handle. Do not modify!

### Return Values

Returns `TRUE` on success. Otherwise, returns `FALSE`

### Examples

Example #1 MysqlndUhConnection::txRollback() example

`<?php
class proxy extends MysqlndUhConnection {
public function txRollback($res) {
printf("%s(%s)\n", __METHOD__, var_export(func_get_args(), true));
$ret = parent::txRollback($res);
printf("%s returns %s\n", __METHOD__, var_export($ret, true));
return $ret;
}
}
mysqlnd_uh_set_connection_proxy(new proxy());
$mysqli = new mysqli("localhost", "root", "", "test");
$mysqli->rollback();
?>`

The above example will output:

    proxy::txRollback(array (
      0 => NULL,
    ))
    proxy::txRollback returns true

### See Also

- mysqlnd_uh_set_connection_proxy() - Installs a proxy for mysqlnd connections
- mysqli_commit() - Commits the current transaction

MysqlndUhConnection::txCommit
MysqlndUhConnection::useResult
MysqlndUhConnection
PHP Manual